default_config = {
  "data": {
    "path_data": "./data/pl/",
    "use_char_level_embeddings": True,
    "use_start_end_token": True,
    "tokenize_entities": True,
    "batch_size": 32,
    "encoding": "utf-8",
    "num_workers": 1
  },

  "model": {
    "bert_embedder": {
        "pretrained_model_name": "allegro/herbert-base-cased",
        "pretrained_model_type": "AutoModel",
        "projection_dimension": None,
        "freeze_bert": True,
        "token_pooling": True,
        "pooling_strategy": "max"
                     },
    "char_embedder": {"type" : "combo",
                      "char_embedding_dim":  64
                     },
    "classifier": {"type" : "crf",
                   "to_tag_space" :  "bilstm"},
    "dropout": 0.1
            },

  "loss": "ce",
  "learning_rate": 0.001,

  "callbacks": {"FixedProgressBar": True,
                "LearningRateMonitor": {"logging_interval":"epoch"},
                "ModelCheckpoint": {"monitor": "validation_f1",
                                    "mode": "max",
                                    "save_top_k": 1,
                                    "save_weights_only": True,
                                    "filename" : "best_model"},
                "EarlyStopping": {"monitor": "validation_f1",
                                  "mode": "max",
                                  "min_delta": 0.001,
                                  "patience": 6}},

  "trainer": {"devices": [0],
              "max_epochs": 50,
              "accelerator": "cuda",
              "log_every_n_steps": 10}
}


class Config:
    default_config = default_config
