# Configuration

Models can be serialized as a ```json``` file with the following structure:

```json
{
  "model": {
    "type": <model_type>,
    "parameters": {
      <parameter_name>: {
        "type": <class_name>,
        "parameters": {...}
      }
    }
  }
}
```

The ```"type"``` field serves as a dependency-injection like mechanism and
sets which class and constructor is used.
The ```"parameters"``` dictionary is passed to the constructor method. Every
parameter is attempted to be resolved from the class registry and only if that's
not possible they are passed as-is.
